Last Comment Bug 679352 - Remove libreg
: Remove libreg
Status: RESOLVED FIXED
[iOS]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: mozilla11
Assigned To: Marco Castelluccio [:marco]
:
Mentors:
Depends on: 674014 679016 689120 689437
Blocks: 303657 352003 deadcode 709193
  Show dependency treegraph
 
Reported: 2011-08-16 07:55 PDT by Marco Castelluccio [:marco]
Modified: 2012-05-01 04:26 PDT (History)
10 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Part 1: Clean nsProfileMigrator (10.40 KB, patch)
2011-08-26 05:26 PDT, Marco Castelluccio [:marco]
benjamin: review+
Details | Diff | Review
Part 2: Remove libreg (257.09 KB, patch)
2011-09-15 16:50 PDT, Marco Castelluccio [:marco]
khuey: review+
Details | Diff | Review
Part 1: Clean nsProfileMigrator v2 (10.36 KB, patch)
2011-12-10 06:31 PST, Marco Castelluccio [:marco]
no flags Details | Diff | Review
Part 2: Remove libreg v2 (257.43 KB, patch)
2011-12-10 06:41 PST, Marco Castelluccio [:marco]
no flags Details | Diff | Review

Description Marco Castelluccio [:marco] 2011-08-16 07:55:16 PDT
Remove libreg as its last use was in the Seamonkey Profile Migrator, that is being removed too (see bug 679016).
Comment 1 Marco Castelluccio [:marco] 2011-08-26 05:26:43 PDT
Created attachment 556006 [details] [diff] [review]
Part 1: Clean nsProfileMigrator

Cleaned nsProfileMigrator to remove the last (useless) use of libreg.
Comment 2 Marco Castelluccio [:marco] 2011-09-02 07:51:48 PDT
Gavin, if you are too busy for the review, could you assign it to someone else?
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-09-08 14:10:24 PDT
Comment on attachment 556006 [details] [diff] [review]
Part 1: Clean nsProfileMigrator

This looks OK to me, but I don't really know the history of this stuff offhand (or when we stopped using it), so perhaps bsmedberg should sign off.
Comment 4 Benjamin Smedberg [:bsmedberg] 2011-09-09 12:13:02 PDT
Comment on attachment 556006 [details] [diff] [review]
Part 1: Clean nsProfileMigrator

This code exists to import the profile list from Firefox <0.9.2 to Firefox >=0.9.3. I think it can go now.
Comment 5 Marco Castelluccio [:marco] 2011-09-15 16:50:19 PDT
Created attachment 560489 [details] [diff] [review]
Part 2: Remove libreg

The Part 1 patch could be checked-in in the meantime.
This patch instead removes libreg and libreg references in the makefiles.
Comment 6 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-09-23 06:52:55 PDT
Comment on attachment 560489 [details] [diff] [review]
Part 2: Remove libreg

Kill it with fire!
Comment 9 Ed Morley [:emorley] 2011-09-25 08:35:53 PDT
Callek asked me to back this out of m-c, since it's burning comm-central, but that the c-c change will be landing shortly after the aurora uplift & then this can re-land straight after :-) 

https://hg.mozilla.org/mozilla-central/rev/183d0e60d82c
https://hg.mozilla.org/mozilla-central/rev/c722928d8b69

(Bug #s and dependencies to follow)
Comment 10 Justin Wood (:Callek) 2011-09-25 09:25:24 PDT
(In reply to Ed Morley [:edmorley] from comment #9)
> Callek asked me to back this out of m-c, since it's burning comm-central,
> but that the c-c change will be landing shortly after the aurora uplift &
> then this can re-land straight after :-) 
> 
> https://hg.mozilla.org/mozilla-central/rev/183d0e60d82c
> https://hg.mozilla.org/mozilla-central/rev/c722928d8b69
> 
> (Bug #s and dependencies to follow)

To be clear, I'm not exactly blocking on comm-central here, just wanting either the comm-central fix in hand, or the aurora uplift to have happened. So comm doesn't have to deal with this fallout during and after merge-day. (I'll file bug within 24 hours, likely less)
Comment 11 Ted Mielczarek [:ted.mielczarek] 2011-10-11 08:10:06 PDT
Can we re-land this, or are we waiting on the c-c bugs to get fixed?
Comment 12 Marco Castelluccio [:marco] 2011-12-10 06:31:12 PST
Created attachment 580644 [details] [diff] [review]
Part 1: Clean nsProfileMigrator v2

Patch unbitrotted.
Comment 13 Marco Castelluccio [:marco] 2011-12-10 06:41:57 PST
Created attachment 580646 [details] [diff] [review]
Part 2: Remove libreg v2

Patch unbitrotted.
I've also done a small change in "/browser/components/build/Makefile.in". Could you check it?
Comment 14 Marco Castelluccio [:marco] 2011-12-10 06:42:46 PST
After the change in the latest patch has been checked, the patches could be checked-in.
Comment 15 Ed Morley [:emorley] 2011-12-10 13:16:55 PST
Minor makefile change looks fine to me, it's a no-op and this has had r+ already, so should be fine to push as long as try comes up green. (Prior discussions with Callek on IRC + comment 10 + the urgency of bug 709193, means that this doesn't need to be blocked by the c-c changes).

https://tbpl.mozilla.org/?tree=Try&rev=e1b435a80f0d

Really hoping this + the other things we're trying in bug 709193 help the PGO situation.
Comment 18 :aceman 2011-12-12 01:33:38 PST
*** Bug 465662 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.